#include <stdlib.h>
#include "malloc_m.h"
#include "task.h"

ECB BlockMalloc;

void * Malloc(size_t size)
{
	void *retval;
	PendSemaphore(&BlockMalloc,0);
	retval = malloc(size);
	PostSemaphore(&BlockMalloc,0);
	return retval;
}

void InitMalloc(void)
{
	CreateSemaphore(&BlockMalloc,1,0,"Blk Malloc");
}
